Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Individuals
Class Phenotype

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Symbol>
                  Individuals.Phenotype

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Symbol>, java.util.Collection<Symbol>, java.util.List<Symbol>, java.util.RandomAccess

    public class Phenotype

extends java.util.ArrayList<Symbol>

Phenotype extends ArrayList Phenotype holds the result of mapping from a genotype through a mapper. The representation is a list of symbols, which must be all terminal if the individuals mapping was valid. There are two methods that are of particular interest. getString() and getStringNoSpace() get string will be used if you are evolving a program in a highlevel syntax where the language symbols must be space seperated. The no space variant would be useful in other situations such as evolving non program code structures. Machine code, or solutions that have to undergo further interpretation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Phenotype()`
`Phenotype(Phenotype p)` Copy constructor

Method Summary
`java.lang.String` | `getString()` Get a string reperesentation of the output(Phenotype)
`java.lang.String` | `getStringNoSpace()` Get string representaiton without added whitespace
`java.lang.String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### Phenotype

    public Phenotype()

### Phenotype

    public Phenotype(Phenotype p)

  Copy constructor

  Parameters:
    `p` - phenotype to copy

Method Detail

### getString

    public java.lang.String getString()

  Get a string reperesentation of the output(Phenotype)

  Returns:
    string representation

### getStringNoSpace

    public java.lang.String getStringNoSpace()

  Get string representaiton without added whitespace

  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<Symbol>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD